# -vvv --step
ANSIBLE=ansible-playbook                    \
  --key-file=$(infra)/ssh.priv              \
  --vault-password-file=$(infra)/vault.pass \
  --inventory=./hosts                       \
  --extra-vars="infra=$(infra)"

.PHONY: manual bake configure deploy

manual:
	$(ANSIBLE) playbooks/manual.yml

bake:
	$(ANSIBLE) playbooks/bake.yml

configure:
	$(ANSIBLE) playbooks/configure.yml

deploy:
	$(ANSIBLE) playbooks/deploy.yml

# eof
